DWARF_ADD_AT_NAME(3)

NAME
dwarf_add_AT_name - create and attach a DW_AT_name attribute

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
Dwarf_P_Attribute
dwarf_add_AT_name(Dwarf_P_Die die, char *name, Dwarf_Error *err);

DESCRIPTION
Function dwarf_add_AT_name() creates a DW_AT_name attribute descriptor and attaches it to the debugging information entry referenced by argument die. The created attribute will have DWARF form DW_FORM_strp.

Argument die should reference a debugging information entry allocated using dwarf_new_die(3).

Argument name should point to a NUL-terminated string which will become the value of the created attribute.

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
On success, function dwarf_add_AT_name() returns the created attribute descriptor. In case of an error, function dwarf_add_AT_name() returns DW_DLV_BADADDR and sets the argument err.

ERRORS
Function dwarf_add_AT_name() can fail with:

[DW_DLE_ARGUMENT]
    One of the arguments die or name was NULL.

[DW_DLE_MEMORY]
    An out of memory condition was encountered during the execution of this function.

SEE ALSO
dwarf(3), dwarf_add_AT_comp_dir(3), dwarf_add_AT_const_value_string(3), dwarf_add_AT_producer(3), dwarf_add_AT_string(3), dwarf_new_die(3)